@charset "utf-8";



/*----------------------------------*/
/* index-banner
------------------------------------*/
.index-banner {
    position: relative;
    background-color: var(--header-color);
}



/*----------------------------------*/
/* rotate-right & left
------------------------------------*/
.rotate-right {
    -webkit-animation: rotate-right 5s linear infinite;
    animation: rotate-right 10s linear infinite;
}

.rotate-left {
    -webkit-animation: rotate-left 5s linear infinite;
    animation: rotate-left 10s linear infinite;
}

/*----------------------------------*/
/* animation rotate-right
------------------------------------*/
@-webkit-keyframes rotate-right {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

@keyframes rotate-right {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}


/*----------------------------------*/
/* animation rotate-left
------------------------------------*/
@-webkit-keyframes rotate-left {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(-360deg);
        transform: rotate(-360deg);
    }
}

@keyframes rotate-left {
    0% {
        -webkit-transform: rotate(0);
        transform: rotate(0);
    }

    100% {
        -webkit-transform: rotate(-360deg);
        transform: rotate(-360deg);
    }
}



/*----------------------------------*/
/* index banner 手機版
------------------------------------*/
@media screen and (max-width: 480px) {

    img.box {
        transform: scale(1.3);
        margin-top: 18px !important;
    }

    img.banner-logo {
        transform: scale(1.3);
        margin-top: 15px !important;
        margin-left: 28px !important;
    }

    img.text-1 {
        transform: scale(1.2);
        margin-top: 20px !important;
        margin-left: 18px !important;
    }

    img.text-2 {
        transform: scale(1.2);
        margin-top: 25px !important;
        margin-left: 18px !important;
    }

}



/* ---------------------------------- */
/*  表格樣式 table-style2
------------------------------------- */
.table-style2 {
    width: 100%;
    background-color: white;
    margin: 2vw auto;
    position: relative;
    border-radius: 15px;
    overflow: hidden;
}

.table-style2.table-shadow {
    box-shadow: 0px 35px 50px rgb(27, 31, 49, 0.1);
}

.table-style2 td,
.table-style2 th {
    text-align: center;
    padding: 10px;
}

.table-style2 td {
    border: 1px solid #e7e7e7;
}


/*  thead th tr color
------------------------------------- */

.table-style2 th {
    font-weight: 500;
    color: #ffffff;
    background: var(--secondry-color);
    border-left: 1px solid rgb(255, 255, 255, 0.7);
    border-bottom: 1px solid rgb(255, 255, 255, 0.7);
}

/*  tr td bg-white
------------------------------------- */

.table-style2 tr.bg-white {
    background: #fff;
}

.table-style2 tr.bg-white td {
    border: none;
}

/*  .table-style2 striped color
------------------------------------- */

.table-style2 tr:nth-child(even) {
    background: #f8f8f8;
}

.table-style2.no-striped tr:nth-child(even) {
    background: #fff;
}

.table-style2 tr.table-style2-striped {
    background: #f8f8f8 !important;
}

.table-style2 td.table-style2-striped {
    background: #f8f8f8 !important;
}

/*  Responsive
------------------------------------- */

@media (max-width: 1000px) {

    .table-style2 {
        margin: 15px 0;
        font-size: 0.9rem;
    }

    .table-style2 td,
    .table-style2 th {
        padding: 5px;
    }

    .table-style2 .table-pic {
        max-width: 60px;
    }

}



/* ---------------------------------- */
/*  alumnus-area 校友專區
------------------------------------- */
.alumnus-area {
    display: flex;
    flex-wrap: wrap;
    max-width: 1280px;
    margin: 60px auto 40px auto;
    gap: 35px;
}

.alumnus-list {
    flex: 1;
    border-radius: 15px;
    overflow: hidden;
    background-color: #fff;
    transition: .2s;
}

.alumnus-list:hover {
    box-shadow: 0 10px 25px rgb(0, 0, 0, 0.1);
}

.alumnus-list .alumnus-pic {
    width: 100%;
    height: 250px;
}

.alumnus-list .alumnus-pic img {
    object-fit: cover;
    object-position: 50% 50%;
    width: 100%;
    height: 100%;
}

.alumnus-list .alumnus-content {
    position: relative;
    padding: 1.5rem 1.8rem 2rem 1.8rem;
}

.alumnus-list .alumnus-content h3 {
    position: absolute;
    right: 25px;
    top: -50px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    width: 90px;
    height: 90px;
    border-radius: 999rem;
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1.4;
    color: #ffffff;
    background-color: var(--third-color);
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.15);
    z-index: 1;
    transition: 1s;
}

.alumnus-list:hover .alumnus-content h3 {
    transform: rotateY(360deg);
}

.alumnus-list .alumnus-content ul {
    padding: 0;
}

.alumnus-list .alumnus-content ul li {
    position: relative;
    border-bottom: 1px solid #e7e7e7;
}

.alumnus-list .alumnus-content ul li::before {
    content: "\f005";
    font-family: 'FontAwesome';
    color: var(--secondry-color);
    position: absolute;
    top: 6px;
    left: 0;
    font-size: 18px;
}

.alumnus-list .alumnus-content ul li a {
    display: block;
    padding: 8px 0 8px 25px;
}

.alumnus-list .alumnus-content ul li a:hover {
    color: var(--secondry-color);
}


@media screen and (max-width: 900px) {
    .alumnus-area {
        gap: 15px;
    }
}

@media screen and (max-width: 767px) {
    .alumnus-area {
        flex-direction: column;
        margin: 15px auto;
        gap: 10px;
    }

    .alumnus-list .alumnus-pic {
        height: 200px;
    }

    .alumnus-list .alumnus-content {
        padding-bottom: 0;
    }
}



/* ---------------------------------- */
/*  souvenir-area 紀念品專區
------------------------------------- */
.souvenir-area {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1vw;
    max-width: 1280px;
    margin: 60px auto 40px auto;
    transition: 0.3s;
}

.souvenir-area .souvenir-list {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    border-radius: 15px;
    background-color: #ffffff;
    cursor: pointer;
    transition: 0.3s;
}

.souvenir-area .souvenir-list .new {
    position: absolute;
    left: -20px;
    top: -20px;
    display: grid;
    place-content: center;
    width: 55px;
    height: 55px;
    border-radius: 999rem;
    font-weight: 500;
    color: #ffffff;
    background-color: var(--secondry-color);
    box-shadow: 0px 4px 15px rgb(0 0 0 / 15%);
    z-index: 1;
}

.souvenir-area .souvenir-list:hover {
    box-shadow: 3px 5px 20px rgb(19 19 19 / 8%);
}

.souvenir-area .souvenir-pic {
    width: 45%;
    height: 100%;
    display: flex;
}

.souvenir-area .souvenir-pic img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 50% 50%;
    border-radius: 15px 0 0 15px;
}

.souvenir-area .souvenir-content {
    width: 55%;
    padding: 4% 4% 4% 5%;
    cursor: pointer;
}

.souvenir-area .souvenir-title {
    margin: 8px 0 10px 0;
    font-size: 18px;
    font-weight: bold;
    line-height: 1.6;
}

.souvenir-area .souvenir-describe {
    margin: 5px 0 15px 0;
    font-size: 14px;
    color: #666;
    line-height: 1.7;
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    line-height: 1.6;
    max-height: 2*N;
}

.souvenir-area .price {
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--primary-color);
}

@media only screen and (max-width: 767px) {

    .souvenir-area {
        margin: 15px auto;
        grid-template-columns: 1fr;
    }

    .souvenir-area .souvenir-list {
        margin: 10px 0%;
    }

    .souvenir-area .souvenir-list .new {
        left: -13px;
        top: -19px;
        width: 50px;
        height: 50px;
        font-size: 0.9rem;
    }

    .souvenir-area .souvenir-pic {
        width: 40%;
    }

    .souvenir-area .souvenir-content {
        width: 60%;
    }

    .souvenir-area .souvenir-title {
        font-size: 18px;
    }

}



/* ---------------------------------- */
/*  souvenir-area 紀念酒 樣式2
------------------------------------- */
.souvenir-area.style-2 {
    grid-template-columns: 1fr 1fr;
}

.souvenir-area.style-2 .souvenir-list .new {
    background-color: var(--third-color);
}

.souvenir-area.style-2 .souvenir-pic {
    width: 55%;
    height: 250px;
}

.souvenir-area.style-2 .souvenir-content {
    width: 45%;
}

@media only screen and (max-width: 767px) {

    .souvenir-area.style-2 {
        grid-template-columns: 1fr;
    }

    .souvenir-area.style-2 .souvenir-pic {
        width: 60%;
    }

    .souvenir-area.style-2 .souvenir-content {
        width: 40%;
    }

}